fuvst(1)

NAME
fuvst - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
fuvst -k <kanal/channel> [options] [station_id]

  Global options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given! Default: '~/.osmocom/cnetz/fuvst.conf'

--no-config

    Even if a config file exists, don't use it.

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-k --kanal <channel>

-k --channel <channel>

    Channel (German = Kanal) number of "Sender" (German = Transceiver)

-a --audio-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number (default = 'hw:0,0') You may specify a different recording device by using '/'. Don't set it for SDR!

-s --samplerate <rate>

    Sample rate of sound device (default = '48000')

-i --interval 0.1..25

    Interval of processing loop in ms (default = '1.0' ms) Use 10 to drastically reduce CPU usage. In case of buffer underrun, increase buffer accordingly.

-b --buffer <ms>

    How many milliseconds are processed in advance (default = '50') A buffer below 10 ms requires low interval like 0.1 ms.

--rx-gain <dB>

    Raise/lower receiver's RX level by given gain in dB. (Works with sound card only.)

--tx-gain <dB>

    Raise/lower transmitters's RX level by given gain in dB. (Works with sound card only.)

-e --echo-test

    Use echo test, to send back audio from mobile phone's microphone to the speaker. (German: 'Blasprobe').

-c --call-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number for headset (default = '') You may specify a different recording device by using '/'.

--call-samplerate <rate>

    Sample rate of sound device for headset (default = '48000')

--call-buffer <ms>

    How many milliseconds are processed in advance (default = '50')

-x --osmocc-cross

    Enable built-in call forwarding between mobiles. Be sure to have at least one control channel and two voice channels. Alternatively use one combined control+voice channel and one voice channels.

-o --osmocc-sock

    Disable built-in call control and offer socket

--cc "<osmo-cc arg>" [--cc ...]

    Pass arguments to Osmo-CC endpoint. Use '-cc help' for description.

--no-l16

    Disable L16 (linear 16 bit) codec.

-t --tones 0 | 1

    Connect call on setup/release to provide classic tones towards fixed network (default = '1')

-l --loopback <type>

    Loopback test: 1 = internal | 2 = external | 3 = echo

-r --realtime <prio>

    Set prio: 0 to disable, 99 for maximum (default = 0)

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

--write-rx-wave <file>

    Write received audio to given wave file.

--write-tx-wave <file>

    Write transmitted audio to given wave file.

--read-rx-wave <file>

    Replace received audio by given wave file.

--read-tx-wave <file>

    Replace transmitted audio by given wave file.

  Network specific options:

-T --channel-type ZZK / SpK

    The channel type to use. One ZZK is default.

-S --sio <hex value>

    Service Indicator Object. Must be 0xcd! (default = 0xcd).

-U --uele <value>

    Point Code of MSC, which must match the EEPROM configuration data of the base station. (default = 1400).

-F --fuko <value>

    Point Code of BS, which must match the EEPROM configuration data of the base station. (default = 1466).

-A --authentication 1 | 0

    Enable or disable authentication procedure. (default = 0).

-E --emergency <prefix>

    Add given prefix to the list of emergency numbers.

--alarms 1 | 0

    Enable or disable alarm messages from BS to MSC (default = 1).

-G --gebuehren <duration>

    Give Metering pulse duration is seconds (default = 12.00).

--ignore-link-monitor

    Don't do any link error checking at MTP.

-C --bs-config <filename>

    Give DKO config file (6 KBytes tape file) to be loaded at boot time.

station_id: Give 7 or 8 digits of station ID,

    so you don't need to enter it for every start of this application. Give 7 digits for regular number format. Give 8 digits for extended number format. You may use '0161xxxxxxx' as prefix. You may use '0161xxxxxxxx' as prefix. You may use '+49161xxxxxxx' as prefix. You may use '+49161xxxxxxxx' as prefix.

Press digits '0'..'9' and then 'd' key to dial towards mobile station. Press 'h' key to hangup. Press 'w' key to toggle display of RX wave form. Press 'c' key to toggle display of channel status. Press 'm' key to toggle display of measurement value.